Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteUserSessionManager

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteUserSessionManager

extends java.rmi.Remote

Interface `RemoteUserSessionManager` manages the user sessions.

Since:
  5.2

Method Summary
`java.util.Vector` | `getAllUserSessions()` Get all user sessions in the report server.
`java.util.Vector` | `getAllWaitUserSessions()` Get all wait user sessions in the report server.
`RemoteAuthenticator` | `getAuthenticator()` Get the Authenticator.
`int` | `getDefaultMaxInactiveInterval()` Get the default max inactive interval of user sessions.
`long` | `getLastLoginTime(java.lang.String user)` Get last login time of specify user.
`long` | `getLastLogoutTime(java.lang.String user)` Get last logout time of specify user.
`UserSession` | `getUserSession(java.lang.String sessionID)` Get the user session by the session ID.
`boolean` | `isWait(java.lang.String sessionId)` Judge if a user session is a wait user session.
`UserSession` | `login(java.lang.String realm, java.lang.String user, java.lang.String password)` Login an user in the report server.
`UserSession` | `login(java.lang.String realm, java.lang.String userID, java.lang.String password, boolean isExternal, boolean isWait)` Login an user in the report server.
`UserSession` | `loginExternalAuthorized(java.lang.String realm, java.lang.String externalAuthorizedUser)` Login an external authorized user in the report server.
`void` | `logout(java.lang.String sessionID)` Logout an user session in the report server.
`boolean` | `needSecurity()` Check if it needs security checking.
`void` | `putSessions(java.lang.String sessionID)`
`void` | `refreshLastAccessTime(java.lang.String sessionID)` Refresh the last access time of a user session.
`void` | `setAuthenticator(RemoteAuthenticator authenticator)` Set the Authenticator.
`void` | `setDefaultMaxInactiveInterval(int defaultMaxInactiveInterval)` Set the default max inactive interval of user sessions.

Method Detail

### setDefaultMaxInactiveInterval

    void setDefaultMaxInactiveInterval(int defaultMaxInactiveInterval)
                                       throws java.rmi.RemoteException

  Set the default max inactive interval of user sessions.

  Parameters:
    `defaultMaxInactiveInterval` - the default max inactive interval of user sessions in milliseconds.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getDefaultMaxInactiveInterval

    int getDefaultMaxInactiveInterval()
                                      throws java.rmi.RemoteException

  Get the default max inactive interval of user sessions.

  Returns:
    defaultMaxInactiveInterval the default max inactive interval of user sessions in milliseconds.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### setAuthenticator

    void setAuthenticator(RemoteAuthenticator authenticator)
                          throws java.rmi.RemoteException

  Set the Authenticator.

  Parameters:
    `authenticator` - the Authenticator.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getAuthenticator

    RemoteAuthenticator getAuthenticator()
                                         throws java.rmi.RemoteException

  Get the Authenticator.

  Returns:
    the Athenticator.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### login

    UserSession login(java.lang.String realm,
                      java.lang.String user,
                      java.lang.String password)
                      throws java.rmi.RemoteException,
                             TooManyUsersException

  Login an user in the report server.

  Parameters:
    `realm` - the realm.
    `userID` - the user ID.
    `password` - the password.
  Returns:
    the user session.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `TooManyUsersException` - if a TooManyUsersException occurs.
  See Also:
    `UserSession`

### login

    UserSession login(java.lang.String realm,
                      java.lang.String userID,
                      java.lang.String password,
                      boolean isExternal,
                      boolean isWait)
                      throws java.rmi.RemoteException,
                             TooManyUsersException

  Login an user in the report server.

  Parameters:
    `realm` - the realm.
    `userID` - the user ID.
    `password` - the password.
    `isExternal` - specify if it was check by external authenticator.
    `isWait` - specify if it is a wait user.
  Returns:
    the user session.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `TooManyUsersException` - if a TooManyUsersException occurs.
  See Also:
    `UserSession`

### loginExternalAuthorized

    UserSession loginExternalAuthorized(java.lang.String realm,
                                        java.lang.String externalAuthorizedUser)
                                        throws java.rmi.RemoteException,
                                               TooManyUsersException

  Login an external authorized user in the report server. Need not password.

  Parameters:
    `realm` - the realm.
    `userID` - the user ID.
  Returns:
    the user session.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `TooManyUsersException` - if a TooManyUsersException occurs.
  See Also:
    `UserSession`

### logout

    void logout(java.lang.String sessionID)
                throws java.rmi.RemoteException

  Logout an user session in the report server.

  Parameters:
    `sessionID` - the user session ID.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getUserSession

    UserSession getUserSession(java.lang.String sessionID)
                               throws java.rmi.RemoteException

  Get the user session by the session ID.

  Parameters:
    `sessionID` - the session ID.
  Returns:
    the user session.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getAllUserSessions

    java.util.Vector getAllUserSessions()
                                        throws java.rmi.RemoteException

  Get all user sessions in the report server.

  Returns:
    all user sessions in the report server.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getAllWaitUserSessions

    java.util.Vector getAllWaitUserSessions()
                                            throws java.rmi.RemoteException

  Get all wait user sessions in the report server.

  Returns:
    all wait user sessions in the report server.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### refreshLastAccessTime

    void refreshLastAccessTime(java.lang.String sessionID)
                               throws java.rmi.RemoteException,
                                      InvalidUserSessionException

  Refresh the last access time of a user session.

  Parameters:
    `sessionID` - the session ID.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
    `InvalidUserSessionException` - if a InvalidUserSessionException occurs.

### isWait

    boolean isWait(java.lang.String sessionId)
                   throws java.rmi.RemoteException

  Judge if a user session is a wait user session.

  Parameters:
    `sessionId` - the user session id
  Returns:
    true if the sessionId represent a wait user session, otherwise false.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### putSessions

    void putSessions(java.lang.String sessionID)
                     throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### needSecurity

    boolean needSecurity()
                         throws java.rmi.RemoteException

  Check if it needs security checking.

  Returns:
    if it needs security checking.
  Throws:
    `java.rmi.RemoteException`

### getLastLoginTime

    long getLastLoginTime(java.lang.String user)
                          throws java.rmi.RemoteException

  Get last login time of specify user.

  Parameters:
    `user` - the user ID
  Returns:
    the last login time of specify user.
  Throws:
    `java.rmi.RemoteException`

### getLastLogoutTime

    long getLastLogoutTime(java.lang.String user)
                           throws java.rmi.RemoteException

  Get last logout time of specify user.

  Parameters:
    `user` - the user ID
  Returns:
    the last logout time of specify user.
  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD